﻿@model Portal.Models.GoodsReceiptInquiry.GoodsReceiptManifestStatus

<table border="0" cellpadding="3" cellspacing="0">
    <tr>
        <td colspan="3">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest Status";
                    label.Properties.Style.Font.Bold = true;
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()    
        </td>
    </tr>
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Total not yet scanned";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.NotYetScan.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Scanned OK";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.ScannedOK.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Scanned NG";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.ScannedNG.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Approved";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.Approved.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Posted OK";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.PostedOK.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Error Post";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.ErrorPost.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Invoiced";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.Invoiced.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Cancelled";
                    label.Style.Add("padding-right", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = Model.Cancelled.ToString();
                    label.Style.Add("padding-left", "10px");
                    label.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
</table>